Launch Week 02 wrapped — explore all five launches

Delete Dataset

DELETEhttps://api.confident-ai.com/v2/datasets/{datasetId}

Permanently deletes the dataset and everything in it: its goldens, versions, tags and custom columns. This action cannot be undone.

DELETE/v2/datasets/{datasetId}
curl -X DELETE "https://api.confident-ai.com/v2/datasets/{datasetId}" \
  -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"
200
{
  "success": true,
  "data": {
    "id": "<DATASET-ID>"
  },
  "deprecated": false
}

Headers

  • CONFIDENT_API_KEYstringRequired

    The API key of your Confident AI project.

Path parameters

  • datasetIdstringRequired

    The unique id of the dataset.

Response

Delete Dataset succeeded.

  • successboolean

    Indicates if the request was successful.

  • dataobject

    Show 1 propertyHide 1 property
    • idstring

      This is the unique id of the dataset.

  • deprecatedboolean

    Indicates if this endpoint is deprecated.

Built byConfident AI